| Haskell Hierarchical Libraries (stm package) | Contents | Index

Control.Concurrent.STM.TChan

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

TChans

Description
TChan: Transactional channels
Synopsis

data TChan a
newTChan :: STM (TChan a)
readTChan :: TChan a -> STM a
writeTChan :: TChan a -> a -> STM ()
dupTChan :: TChan a -> STM (TChan a)
unGetTChan :: TChan a -> a -> STM ()
isEmptyTChan :: TChan a -> STM Bool

TChans
data TChan a

`TChan` is an abstract type representing an unbounded FIFO channel.

newTChan :: STM (TChan a)
readTChan :: TChan a -> STM a
writeTChan :: TChan a -> a -> STM ()
dupTChan :: TChan a -> STM (TChan a)
unGetTChan :: TChan a -> a -> STM ()
isEmptyTChan :: TChan a -> STM Bool
Returns `True` if the supplied `TChan` is empty.
Produced by Haddock version 0.7